# rpmtsCallbackType_s Struct Reference
[PYTHON-C Language Bindings.]

Collaboration diagram for rpmtsCallbackType_s:
[legend]

## Data Fields
PyObject * | cb
PyObject * | data
rpmtsObject * | tso
rpmdsObject * | dso
int | pythonError
PyThreadState * | _save

## Detailed Description

Definition at line 162 of file rpmts-py.c.

## Field Documentation

PyObject* rpmtsCallbackType_s::cb

Definition at line 163 of file rpmts-py.c.

Referenced by rpmts_Check(), rpmts_Run(), rpmts_SolveCallback(), and rpmtsCallback().

PyObject* rpmtsCallbackType_s::data

Definition at line 164 of file rpmts-py.c.

Referenced by rpmts_Run(), and rpmtsCallback().

rpmtsObject* rpmtsCallbackType_s::tso

Definition at line 165 of file rpmts-py.c.

Referenced by rpmts_Check(), rpmts_Run(), and rpmts_SolveCallback().

rpmdsObject* rpmtsCallbackType_s::dso

Definition at line 166 of file rpmts-py.c.

Referenced by rpmts_Check(), rpmts_Run(), and rpmts_SolveCallback().

int rpmtsCallbackType_s::pythonError

Definition at line 167 of file rpmts-py.c.

Referenced by rpmts_Check(), rpmts_Run(), rpmts_SolveCallback(), and rpmtsCallback().

PyThreadState* rpmtsCallbackType_s::_save

Definition at line 168 of file rpmts-py.c.

Referenced by rpmts_Check(), rpmts_Run(), rpmts_SolveCallback(), and rpmtsCallback().

The documentation for this struct was generated from the following file:

- python/rpmts-py.c